Feedback Imprimir

Habilitando Amazon RDS PostgreSQL 6.4 ou Acima

No Scriptcase, temos disponíveis os seguintes drivers para conexão com PostgreSQL: PostgreSQL PDO, PostgreSQL 7 ou acima, PostgreSQL 6.4 ou acima e PostgreSQL 6.3 ou abaixo. Se você estiver utilizando um ambiente próprio, pré-configurado, as extensões do PostgreSQL devem ser habilitadas manualmente no PHP.

Configurando e habilitando o Amazon RDS PostgreSQL 6.4 no Windows

IMPORTANTE: Se você estiver utilizando o instalador automático do Scriptcase, as extensões já estão habilitadas no PHP, prontas para conexão. O procedimento abaixo é apenas para instalações manuais do Scriptcase.

1 - No arquivo php.ini, localizado em C:\php, procure pelas linhas referente as extensões do PostgreSQL: pgsql e pdo_pgsql e remova o ; do início das linhas para que a extensão seja utilizada pelo PHP. Veja o exemplo abaixo:

extension=pgsql
extension=pdo_pgsql

Habilitando extensões do PostgreSQL

2 - Reinicie o serviço do Apache através do Gerenciador de Tarefas.

  • Abra o Gerenciador de Tarefas e clique na aba Serviços.

  • Procure pelo serviço ApacheScriptcase9php73 ou Apache2.4 e clique com o botão direito neste serviço, depois em Reiniciar.

Reiniciando Apache

Conexão com o Scriptcase

Dúvidas ou Problemas de Conexão?

Contacte o nosso suporte em caso de problemas de conexão ou dúvidas a respeito deste banco de dados.